Return the nesting level of the output buffering mechanism

- « ob_get_length

- ob_get_status »

- PHP Manual
- Output Control Functions
- Return the nesting level of the output buffering mechanism

# ob_get_level

(PHP 4 >= 4.2.0, PHP 5, PHP 7, PHP 8)

ob_get_level — Return the nesting level of the output buffering mechanism

### Description

ob_get_level(): int

Returns the nesting level of the output buffering mechanism.

### Parameters

This function has no parameters.

### Return Values

Returns the level of nested output buffering handlers or zero if output buffering is not active.

### See Also

- ob_start() - Turn on output buffering
- ob_get_contents() - Return the contents of the output buffer